org.apache.sysds.parser

## Class ParserFactory

- java.lang.Object
- - org.apache.sysds.parser.ParserFactory

    public class ParserFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ParserFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ParserWrapper` `createParser()`
`static ParserWrapper` `createParser(Map<String,String> nsscripts)` Factory method for creating parser wrappers

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParserFactory

    public ParserFactory()

### Method Detail

#### createParser

    public static ParserWrapper createParser()

#### createParser

    public static ParserWrapper createParser(Map<String,String> nsscripts)

Factory method for creating parser wrappers

Parameters:
  `nsscripts` - map of namespace scripts (name, script)
Returns:
  parser wrapper (DMLParserWrapper or PyDMLParserWrapper)